<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('store_user_roles', function (Blueprint $table) {
            $table->id();

            $table->unsignedSmallInteger('store_id')->index();
            $table->unsignedMediumInteger('user_id')->index();
            $table->unsignedBigInteger('role_id')->index();

            //Auditoria
            $table->timestamps();

            // Relaciones
            $table->foreign('store_id')->references('id')->on('stores')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('role_id')->references('id')->on('roles')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('store_user_roles');
    }
};
