<?php

use Illuminate\Support\Facades\Route;
use Koneko\VuexyStoreManager\Http\Controllers\CompanyController;
use Koneko\VuexyStoreManager\Http\Controllers\StoreController;
use Koneko\VuexyStoreManager\Http\Controllers\WorkCenterController;

// Grupo raíz para admin con middleware y prefijos comunes
Route::prefix('admin/ajustes/empresa')->name('admin.store-manager.')->middleware(['web', 'auth', 'admin'])->group(function () {
    Route::controller(CompanyController::class)->prefix('informacion-general')->name('company.')->group(function () {
        Route::get('/', 'index')->name('index');
    });

    Route::controller(StoreController::class)->prefix('sucursales')->name('stores.')->group(function () {
        Route::get('/', 'index')->name('index');
        Route::get('create', 'create')->name('create');
        Route::get('{store}', 'show')->name('show');
        Route::get('{store}/delete', 'delete')->name('delete');
        Route::get('{store}/edit', 'edit')->name('edit');
    });

    Route::controller(WorkCenterController::class)->prefix('centros-de-trabajo')->name('work-centers.')->group(function () {
        Route::get('/', 'index')->name('index');
        Route::post('ajax', 'ajax')->name('ajax');
    });
});
